// ChildFrm.cpp : implementation of the CChildFrame class
//
#include "stdafx.h"
#include "MeshStudio.h"
#include "MeshStudioView.h"
#include "OptionFormView.h"
#include "ChildFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CChildFrame

IMPLEMENT_DYNCREATE(CChildFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CChildFrame, CMDIChildWnd)
END_MESSAGE_MAP()


// CChildFrame construction/destruction

CChildFrame::CChildFrame()
{
	// TODO: add member initialization code here
}

CChildFrame::~CChildFrame()
{
}


BOOL CChildFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying the CREATESTRUCT cs
	if( !CMDIChildWnd::PreCreateWindow(cs) )
		return FALSE;

	cs.style = WS_CHILD | WS_VISIBLE | WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU
		| FWS_ADDTOTITLE | WS_THICKFRAME | WS_MINIMIZEBOX | WS_MAXIMIZEBOX;

	return TRUE;
}


// CChildFrame diagnostics

#ifdef _DEBUG
void CChildFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CChildFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG


// CChildFrame message handlers

BOOL CChildFrame::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext)
{
	if (!m_wndSplitter.CreateStatic(this, 1, 2, WS_CHILD | WS_VISIBLE))
	{
		AfxMessageBox("Failed to CreateStaticSplitter");
		return FALSE;
	}

	// First splitter pane
	if (!m_wndSplitter.CreateView(0, 0,
		RUNTIME_CLASS(CMeshStudioView), CSize(780, 200), pContext))
	{
		AfxMessageBox("Failed to create render view pane");
		return FALSE;
	}

	// Second splitter pane
	if (!m_wndSplitter.CreateView(0, 1,
		RUNTIME_CLASS(COptionFormView), CSize(m_wndSplitter.m_nRightWidth, 200), pContext))
	{
		AfxMessageBox("Failed to create command view pane");
		return FALSE;
	}
	return TRUE;
}

void CChildFrame::ActivateFrame(int nCmdShow)
{
	if (nCmdShow == -1) {
		nCmdShow = SW_SHOWMAXIMIZED;
	}
	CMDIChildWnd::ActivateFrame(nCmdShow);
}
